﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.AbstractFactory
{
    /// <summary>
    /// http://www.yazgelistir.com/Makale/abstract-factory-tasarim-deseni
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            DbFactory MySqlFactory = new MySqlDbFactory();
            MySqlFactory.Connection();
            MySqlFactory.Command();
            MySqlFactory.Transaction();


            DbFactory oracleFactory = new OracleDbFactory();
            oracleFactory.Connection();
            oracleFactory.Command();
            oracleFactory.Transaction();

            Console.ReadLine();
        }
    }
}
