﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Builder
{
    public sealed class AudioBuilder
     : VehicleBuilder
    {
        public override void SetUp()
        {
            // Audio için kurulum işlemleri
        }

        public override void GetWheelCount()
        {
            Console.WriteLine("Audio -4 Wheel");
        }

        public override void GetGateCount()
        {
            Console.WriteLine("Audio -2 Gate");
        }

        public override void GetVehicleType()
        {
            Console.WriteLine(VehicleType.Sport);
        }

        public override void GetVehicleLength()
        {
            Console.WriteLine(VehicleLength.Small);
        }
    }
}
