﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Builder
{
    public sealed class FerrariBuilder
        : VehicleBuilder
    {
        public override void SetUp()
        {
            // Ferrari için kurulum işlemleri
        }

        public override void GetWheelCount()
        {
            Console.WriteLine("Ferrari -4 Wheel");
        }

        public override void GetGateCount()
        {
            Console.WriteLine("Ferrari -2 Gate");
        }

        public override void GetVehicleType()
        {
            Console.WriteLine("Ferrari -" + VehicleType.Sport + " Vehice Type");
        }

        public override void GetVehicleLength()
        {
            Console.WriteLine("Ferrari -" + VehicleLength.Middle + " Vehice Length");
        }
    }
}
