﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Builder
{
    public sealed class MercedesBuilder
    : VehicleBuilder
    {
        public override void SetUp()
        {
            // Mercedes için kurulum işlemeleri
        }

        public override void GetWheelCount()
        {
            Console.WriteLine("Mercedes -4 Wheel");
        }

        public override void GetGateCount()
        {
            Console.WriteLine("Mercedes -4 Gate");
        }

        public override void GetVehicleType()
        {
            Console.WriteLine(VehicleType.Personal);
        }

        public override void GetVehicleLength()
        {
            Console.WriteLine(VehicleLength.Middle);
        }
    }
}
