﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.ChainOfResponsibility
{
    /// <summary>
    /// The 'Handler' abstract class or interface
    /// </summary>
    public abstract class BaseHandler
    {
        protected BaseHandler successor;
        public void SetSuccessor(BaseHandler successor)
        {
            this.successor = successor;
        }

        public abstract void ExecuteRequest(int request);
    }
}
