﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Composite
{
    public class LeafStaff
        : Staff
    {
        public LeafStaff(string title)
            : base(title)
        {
        }

        public override void ShowProfile()
        {
            Console.WriteLine("--{0}", this.Title);
        }

        public override void Add(Staff staff)
        {
            Console.WriteLine("Cannot add to a LeafStaff");
        }

        public override void Remove(Staff staff)
        {
            Console.WriteLine("Cannot add to a LeafStaff");
        }
    }
}
