﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Composite
{
    /// <summary>
    /// http://thesoftwarearchitecture.wordpress.com/2013/07/16/composition-design-pattern/
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {

            CompositionStaff root1 = new CompositionStaff("Root - 1");
            root1.Add(new LeafStaff("Leaf - 1"));
            root1.Add(new LeafStaff("Leaf - 2"));
            root1.Add(new LeafStaff("Leaf - 3"));
            root1.Add(new LeafStaff("Leaf - 4"));

            CompositionStaff root2 = new CompositionStaff("Root - 2");
            root2.Add(new LeafStaff("Leaf - 1"));
            root2.Add(new LeafStaff("Leaf - 2"));
            root2.Add(new LeafStaff("Leaf - 3"));
            root2.Add(new LeafStaff("Leaf - 4"));

            CompositionStaff root3 = new CompositionStaff("Root - 3");
            root3.Add(new LeafStaff("Leaf - 1"));
            root3.Add(new LeafStaff("Leaf - 2"));
            root3.Add(new LeafStaff("Leaf - 3"));
            root3.Add(new LeafStaff("Leaf - 4"));

            LeafStaff leaf0 = new LeafStaff("Leaf - 5");
            root1.Add(leaf0);

            root1.Add(root2);
            root2.Add(root3);
            root1.ShowProfile();

            Console.ReadLine();
        }
    }
}
