﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Composite
{
    public abstract class Staff
    {
        protected string Title;

        public Staff(string title)
        {
            this.Title = title;
        }

        public abstract void Add(Staff staff);
        public abstract void Remove(Staff staff);
        public abstract void ShowProfile();
    }
}
