﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Factory
{
    public class Factory
    {
        public IOperation FactoryMethod(OperationType type)
        {
            IOperation opr = null;

            switch (type)
            {
                case OperationType.PostOperation:
                    opr = new PostOperation();
                    break;
                case OperationType.CategoryOperation:
                    opr = new CategoryOperation();
                    break;
                default:
                    break;
            }
            return opr;
        }

    }
}
