﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Flyweight
{
    /// <summary>
    /// Concrete FlyWeight
    /// </summary>
    class B : Character
    {
        public B(char symbol, string font, string color)
            : base(symbol, font, color)
        {

        }

        public B()
        {
            this.symbol = 'B';
            this.font = "TIME-NEWS-ROMAN";
            this.color = "BLUE";
        }

        public override void MoveTo(short X, short Y)
        {
            this.X = X;
            this.Y = Y;
        }

    }
}
