﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;

namespace Pattern.IdentityMap
{
    public class AccountRepository
       : IAccountRepository<Account>
    {
        public AccountRepository()
        {
            this.identityMap = new IdentityMap<Account>();
        }

        private IdentityMap<Account> identityMap;

        // identity Control and identityMap add(like pool mechanism)
        public Account Find(int key)
        {
            // !!!
            Account account = identityMap.GetById(key);
            if (null == account)
            {
                account = GetById(key);
                if (null != account)
                    identityMap.Add(account, account.Id);
            }
            return account;
        }

        // directly get data from database
        public Account GetById(int key)
        {
            Account account = default(Account);

            // operations to retrieval of data object from database

            return account;
        }

        public Account Find(Expression<Func<Account, bool>> predicate)
        {
            // Above mapping control process can apply for this method
            return default(Account);
        }
    }
}
