﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;

namespace Pattern.IdentityMap
{
    public interface IAccountRepository<TObject>
    {
        // Espeacially for find methods 
        // Cause These methods just returns a single object

        //IQueryable<TObject> All();
        //IQueryable<TObject> Filter(Expression<Func<TObject, bool>> predicate);
        //IQueryable<TObject> Filter<Key>(Expression<Func<TObject, bool>> filter,
        //   out int total, int index = 0, int size = 50);        
        TObject Find(int keys);
        TObject Find(Expression<Func<TObject, bool>> predicate);
        //bool Contains(Expression<Func<TObject, bool>> predicate);


        //TObject Create(TObject t);
        //int Delete(TObject t);
        //int Delete(Expression<Func<TObject, bool>> predicate);
        //int Update(TObject t);
    }
}
