﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Multiton
{
    public sealed class Sample
    {
        static Dictionary<string, Sample> _instances = new Dictionary<string, Sample>();
        // the key type of dictionary collection can be int,string etc.

        static object _lock = new object();
        
        private Sample()
        {
            // private ctor
        }

        public static Sample GetSample(string key)
        {
            lock (_lock)
            {
                if (!_instances.ContainsKey(key))
                    _instances.Add(key, new Sample());
            }
            return _instances[key];
        }

    }
}
