﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Multiton
{
    public class Security
    {
        public int IpNum { get; set; }
        public string UserName { get; set; }
        public Guid EncryptedPassword { get; set; }
        public string Password { get; set; }

        static Dictionary<string, Security> _instances = new Dictionary<string, Security>();
        // the key type of dictionary collection can be int,string etc.

        static object _lock = new object();

        private Security()
        {

        }

        public static Security GetInstance(string key)
        {
            lock (_lock)
            {
                if (!_instances.ContainsKey(key))
                    _instances.Add(key, new Security());
            }
            return _instances[key];
        }
    }
}
