﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.NullObject
{
    public class AnalystStaff
     : StaffBase
    {
        public override string IdentityNumber
        {
            get { return "G05" + System.Guid.NewGuid().ToString(); }
            set { }
        }

        public override string FullName
        {
            get { return "Imran Ozipek"; }
            set { }
        }

        public override string Department
        {
            get { return "Business Analyst"; }
            set { }
        }

        public override int EfficiencyScore()
        {
            return 80;
        }

        public override Dictionary<int, string> TaskStatus()
        {
            return new Dictionary<int, string>();
        }
    }
}
