﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.ObjectPool
{
    public interface IPool<T>
             where T : class
    {
        T acquire();
        void release(T obj);
        void capacity(int size);
        int count();
        ICollection objectsInPool();
    }
}
