﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Observer
{
    //interface that all observable classes should implement
    public interface IObservable<TObject>
    {
        void Register(IObserver<TObject> observer);
        void UnRegister(IObserver<TObject> observer);
        void Notify(TObject obj);
    }
}
