﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pattern.Prototype
{
    /// <summary>
    /// http://blog.yemrekeskin.com/post/2013/01/11/Prototype-tasar%C4%B1m-deseni.aspx
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            Rectangle de = new Rectangle(12, 24);
            Square tr = new Square(34);

            Console.WriteLine(de.height);

            Rectangle d1 = de.Clone() as Rectangle;
            d1.Color = "Red";
            d1.IsActive = false;
            Console.WriteLine(d1.id);

            Rectangle d2 = de.Clone() as Rectangle;
            d2.Color = "Blue";
            d2.IsActive = true;
            Console.WriteLine(d1.id);

            Console.ReadLine();
        }
    }
}
