﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Singleton
{
    public class Sample<T> where T
        : class,new()
    {
        private static object lockObj = new object();
        private static T obj;

        private static T GetObj()
        {
            if (obj == null)
            {
                lock (lockObj)
                {
                    if (obj == null)
                        obj = new T();
                }
            }
            return obj;
        }
    }
}
