﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Singleton
{
    public class SampleDataBlockv2
    {
        private static SampleDataBlockv2 obj;
        private static Object lockObj = new Object();

        private SampleDataBlockv2() { }

        public static SampleDataBlockv2 GetObj()
        {
            if (obj==null)
            {
                lock (lockObj)
                {
                    if (obj == null)
                        obj = new SampleDataBlockv2();
                }
            }
            return obj;
        }
    }
}
