﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Strategy
{
    public class Payment
    {
        public Payment(ITransferOperation transfer)
        {
            this._transfer = transfer;
        }

        private readonly ITransferOperation _transfer;

        public bool DoAccounting()
        {
            this._transfer.DoAccounting();
            return default(bool);
        }

        public void Transfer()
        {
            this._transfer.Transfer();
        }
    }
}
