﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;

namespace Pattern.UnitOfWork
{
    public class SampleContext
     : DbContext
    {
        public DbSet<Category> Category { get; set; }

        public SampleContext(string contextName)
            : base(contextName)
        {
        }

        public SampleContext()
            : base("")
        {
        }

        public void Commit()
        {
            base.SaveChanges();
        }
    }

}
