﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.AbstractFactory
{
    /// <summary>
    /// Concrete Product for Oracle
    /// </summary>
    class OracleCommand
        : Command
    {
    }

    class OracleConnection
        : Connection
    {
    }

    class OracleTransaction
        : Transaction
    {
    }

    /// <summary>
    /// Concrete Product for MySql
    /// </summary>
    class MySqlCommand
        : Command
    {
    }

    class MySqlConnection
        : Connection
    {
    }

    class MySqlTransaction
        : Transaction
    {
    }
}
