﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Adapter
{
    // client
    public class PostRepository
    {
        public PostRepository(IPostOperation postOperation)
        {
            this._postOperation = postOperation;
        }

        public PostRepository()
        {
            this._postOperation = new PostOperation();
        }

        private readonly IPostOperation _postOperation;

        public void AddPost(string head)
        {
            this._postOperation.AddPost(head);
        }
    }
}
