﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Adapter
{
    /// <summary>
    /// http://thesoftwarearchitecture.wordpress.com/2013/07/15/adapter-design-pattern-with-c/
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            // without adapter 
            // 0
            var context0 = new PostRepository();
            context0.AddPost("test 0");

            // 1
            var context1 = new PostRepository(new PostOperation());
            context1.AddPost("test 1");

            // with adapter
            // 2
            var context2 = new PostRepository(new ImageAdapter());
            context1.AddPost("test 2");

            Console.ReadLine();
        }
    }
}
