﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Bridge
{
    /// <summary>
    /// Abstraction
    /// </summary>
    public abstract class Reporting
    {
        public Reporting(IFormatter formatter)
        {
            this.formatter = formatter;
        }

        protected IFormatter formatter;

        public abstract string OutList();
    }
}
