﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Builder
{
    public class Director
    {
        protected readonly VehicleBuilder _vehicle;

        public Director(VehicleBuilder Vehicle)
        {
            _vehicle = Vehicle;
        }

        public void CreatorVehicle()
        {
            _vehicle.GetGateCount();
            _vehicle.GetVehicleType();
            _vehicle.GetWheelCount();
            _vehicle.SetUp();
        }

        public VehicleBuilder GetVehicle()
        {
            return _vehicle;
        }
    }
}
