﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Builder
{
    /// <summary>
    /// http://blog.yemrekeskin.com/post/2012/09/24/Builder-Design-Pattern.aspx
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            // üretilecek nesne tipini veriyoruz
            var vehicleDir = new Director(new MercedesBuilder());
            // nesneyi üretiyoruz
            vehicleDir.CreatorVehicle();
            // daha sonra üretilen nesne tipini alıyoruz
            VehicleBuilder vehicle = vehicleDir.GetVehicle();

            Console.ReadLine();
        }
    }
}
