﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Builder
{
    public class Vehicle
    {
        public int WheelCount { get; set; }
        public int GateCount { get; set; }
        public VehicleType Type { get; set; }
        public VehicleLength Length { get; set; }
    }

    public enum VehicleType { Commercial, Personal, Sport };
    public enum VehicleLength { Long, Small, Middle };
}
