﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Builder
{
    public abstract class VehicleBuilder
    {
        public Vehicle _vehicle;

        public VehicleBuilder()
        {
            _vehicle = new Vehicle();
        }

        public abstract void SetUp();
        public abstract void GetWheelCount();
        public abstract void GetGateCount();
        public abstract void GetVehicleType();

        public abstract void GetVehicleLength();
    }
}
