﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Decorator
{
    public class CustomerNewVersion
        : CustomerDecorator
    {
        public CustomerNewVersion(IComponent component)
            : base(component)
        {
        }

        public override bool Valid()
        {
            //items what new added is validation operations, method

            return base.Valid(); // !
        }

        // new behaviors
        public void SetHiddenField()
        {
            //We hide in some fields
        }
    }
}
