﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Decorator
{
    /// <summary>
    /// http://www.yazgelistir.com/Makale/decorator-tasarim-deseni
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            // Concrete Component Class
            Customer cus = new Customer();

            //Decorator nesnesine component nesne örneği verilerek decorator sınıfın sahip olduğu
            // ek davranışlar component nesnesi de sahip olmuş oldu.
            
            CustomerNewVersion CusVersion = new CustomerNewVersion(cus);
            // new methds or modified for existing methods
            CusVersion.Valid();
            CusVersion.SetHiddenField();

            CustomerWithAddressInfo CusWithAddressInfo = new CustomerWithAddressInfo(cus);
            CusWithAddressInfo.Valid();
            CusWithAddressInfo.SetAddressField();


            Console.ReadLine();
        }
    }
}
