﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pattern.Facade
{
    public class Facade
    {
        private SubSystemOne rSubSystemOne;
        private SubSystemTwo rSubSystemTwo;
        private SubSystemThree rSubSystemThree;

        public Facade()
        {
            this.rSubSystemOne = new SubSystemOne();
            this.rSubSystemTwo = new SubSystemTwo();
            this.rSubSystemThree = new SubSystemThree();
        }

        // specific operation methods
        public void Do()
        {
            this.rSubSystemOne.Write();
            this.rSubSystemThree.Write();
        }
    }
}
