﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Flyweight
{
    /// <summary>
    /// Concrete FlyWeight
    /// </summary>
    class A : Character
    {
        public A(char symbol, string font, string color)
            : base('A', font, color)
        {

        }

        public A()
        {
            this.symbol = 'A';
            this.font = "CONSOLAS";
            this.color = "RED";
        }

        public override void MoveTo(short X, short Y)
        {
            this.X = X;
            this.Y = Y;
        }
    }
    
}
