﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Flyweight
{
    /// <summary>
    /// Concrete FlyWeight
    /// </summary>
    class C : Character
    {
        public C(char symbol, string font, string color)
            : base(symbol, font, color)
        {

        }

        public C()
        {
            this.symbol = 'C';
            this.font = "SOGUE UI LIGHT";
            this.color = "BLACK";
        }

        public override void MoveTo(short X, short Y)
        {
            this.X = X;
            this.Y = Y;
        }
    }
}
