﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pattern.IdentityMap
{
    public class IdentityMap<TObject>
    {
        Hashtable entities = new Hashtable();

        // in here the key is identity properties (such as Id,AccountNumber etc.)
        public TObject GetById(int key)
        {
            if (entities.ContainsKey(key))
                return (TObject)entities[key];
            else
                return default(TObject);
        }

        public void Add(TObject entity, int key)
        {
            if (!entities.Contains(key))
                entities.Add(key, entity);
        }
    }
}
