﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pattern.IdentityMap
{
    /// <summary>
    /// http://thesoftwarearchitecture.wordpress.com/2013/05/11/understanding-identity-map-pattern/
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            Account acc = new Account();
            acc.CreateDate = DateTime.Now;
            acc.Id = 12;
            acc.IsActive = true;

            AccountRepository repo = new AccountRepository();
            // get database
            repo.Find(12);

            // !!!
            // get collection , namely getting memory
            repo.Find(12);

            Console.ReadLine();
        }
    }
}
