﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Interpreter
{
    public class CharExpression
     : BaseExpression
    {
        //public Context Context;
        Char Character;
        public CharExpression(Char ch)
        {
            this.Character = ch;
        }

        public Context Context;
                
        public override void Interpret(Context context)
        {
            this.Context = context;
            this.Context.DigitalValue += GetCharCode(Character);
        }

        private int GetCharCode(char character)
        {
            UTF32Encoding encoding = new UTF32Encoding();
            byte[] bytes = encoding.GetBytes(character.ToString().ToCharArray());
            return BitConverter.ToInt32(bytes, 0);
        }
    }
}
