﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.NullObject
{
    public class EngineerStaff
    : StaffBase
    {
        public override string IdentityNumber
        {
            get { return "G03" + System.Guid.NewGuid().ToString(); }
            set { }
        }

        public override string FullName
        {
            get { return "David Cameron"; }
            set { }
        }

        public override string Department
        {
            get { return "Enterprise Architect"; }
            set { }
        }

        public override int EfficiencyScore()
        {
            return 90;
        }

        public override Dictionary<int, string> TaskStatus()
        {
            return new Dictionary<int, string>();
        }
    }
}
