﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.NullObject
{
    // let'S use
    public class StaffRepository
    {
        public StaffBase Find(string identityNumber)
        {
            if (identityNumber.Contains("G05"))
                return new AnalystStaff();
            else if (identityNumber.Contains("G03"))
                return new EngineerStaff();

            return StaffBase.Null;
        }

    }
}
