﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Observer
{
    /// <summary>
    /// http://thesoftwarearchitecture.wordpress.com/2013/08/10/observer-design-pattern-in-c/
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            StockMonitor stockDisplay = new StockMonitor();
            Stock stock = new Stock();

            stock.Register(stockDisplay);

            //loop 100 times and modify the ask price
            for (int looper = 0; looper < 100; looper++)
            {
                stock.Price = looper;
                if (looper == 10) stock.UnRegister(stockDisplay); // for example
            }

            //unregister the display
            stock.UnRegister(stockDisplay);

            Console.ReadLine();
        }
    }
}
