﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Observer
{
    public class Stock
         : ObservableImpl<long>
    {
        private long price;
        public long Price
        {
            get { return price; }
            set
            {
                price = value;
                base.Notify(price);
            }
        }
    }
}
