﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pattern.Prototype
{
    /// <summary>
    /// Concrete Prototype
    /// </summary>
    public class Square
        : FormPrototype
    {
        private Guid id;
        // default or initializer properties
        public int edgelenght { get; private set; }

        // detail properties
        public bool IsActive { get; set; }
        public string LineWidth { get; set; }
        public string LineColor { get; set; }

        public Square(int edgelenght)
        {
            this.id = Guid.NewGuid();
            this.edgelenght = edgelenght;
        }

        public override FormPrototype Clone()
        {
            return this.MemberwiseClone() as FormPrototype;
        }
    }
}
