﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pattern.Strategy
{
    /// <summary>
    /// http://thesoftwarearchitecture.wordpress.com/2013/08/01/strategy-design-pattern-example-for-payment-types/
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            Payment foreign = new Payment(new ForeignPayment());
            foreign.DoAccounting();
            foreign.Transfer();

            Payment domestic = new Payment(new DomesticPayment());
            domestic.DoAccounting();
            domestic.Transfer();

            Payment sepa = new Payment(new SepaPayment());
            sepa.DoAccounting();
            sepa.Transfer();

            Console.ReadLine();
        }
    }
}
