﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pattern.UnitOfWork
{
    public class CategoryRepository
        :BaseRepository<Category>
    {
        public CategoryRepository()
            :base(new ContextFactory())
        {

        }

        public CategoryRepository(IContextFactory fac)
            :base(fac)
        {

        }

    }
}
